---
title: "rebootCloudCacheServerInstance"
slug: "database-vcache-rebootcloudcacheserverinstance"
updated: 2026-09-17T10:05:51Z
published: 2026-09-17T10:05:51Z
canonical: "api.ncloud-docs.com/database-vcache-rebootcloudcacheserverinstance"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt
> Use this file to discover all available pages before exploring further.
# rebootCloudCacheServerInstance
Available in VPC
Restart a Cloud DB for Cache server instance.
Note
Cloud DB for Cache API offers two versions based on the supported DBMS range.
- rebootCloudCacheServerInstance API: Support for Valkey and Redis DBMS
- rebootCloudRedisServerInstance API: Support for Redis DBMS
## rebootCloudCacheServerInstance API
This section describes the request and response formats for the rebootCloudCacheServerInstance API.
### Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
| --- | --- |
| GET \| POST | /rebootCloudCacheServerInstance |
Note
This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.
#### Request headers
For information about the headers common to all Cloud DB for Cache APIs, see [Cloud DB for Cache request headers](/docs/en/database-vcache#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94).
#### Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `regionCode` | String | Optional | Region code of the Cloud DB for Cache server instance to restart - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region of the `getRegionList` query result (default). |
| `cloudCacheServerInstanceNo` | String | Required | Cloud DB for Cache server instance number - Restarts can cause data loss, and for standalone servers without the high availability feature enabled, all data is deleted. - On Redis Cluster products with high availability (HA) enabled, restarting the master occurs after failover, so the role changes after the restart. - See [getCloudCacheInstanceList](/docs/en/database-vcache-getcloudcacheinstancelist). |
| `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` |
#### Request example
The request example is as follows:
```
curl --location --request GET 'https://ncloud.apigw.ntruss.com/vcache/v2/rebootCloudCacheServerInstance
?regionCode=KR
&cloudCacheServerInstanceNo=***821'
--header 'x-ncp-apigw-timestamp: {Timestamp}'
--header 'x-ncp-iam-access-key: {Access Key}'
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
```
### Response
This section describes the response format.
#### Response body
See [CloudCacheInstanceList](/docs/en/common-vapidatatype-cloudcacheinstancelist) for the response body.
#### Response status codes
For information about the HTTP status codes common to all Cloud DB for Cache (VPC) APIs, see [Cloud DB for Cache (VPC) response status codes](/docs/en/database-vcache#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C).
#### Response example
The response example is as follows:
- If `responseFormatType=xml` (default)
```
f88759fb-fced-43fa-8d2d-ae415250adb6
0
success
1
2192***
dsd***
shuttingDown
CREAT
CLOUD DATABASE(VPC) Created State
NULL
CLOUD DATABASE(VPC) Null OP
SW.VRDS.OS.LNX64.ROCKY.0810.VALKY.B050
CACHE 4.0.14
BSD
Berkeley Software Distribution
6379
false
false
01:00
1
AUTO
dsaj****
CLUSTER
CLOUD CACHE(VPC) Cluster Role
2022-02-21T14:58:44+0900
14704
3
0
4**
ffsd***
G2
2192***
dsajc***-001-001-rm1
M
Master
shuttingDown
RUN
CLOUD DATABASE(VPC) Server Running State
STOP
CLOUD DATABASE(VPC) Server Stop OP
SVR.VRDS.STAND.C004.M001.NET.SSD.B050.G002
KR
16**
55**
cachec-****.vpc-cdb.ntruss.com
4
1610612736
2147483648
2022-02-21T15:11:52+0900
2022-02-21T14:58:44+0900
0-5460
2192***
dsajc***-002-001-rm2
M
Master
running
RUN
CLOUD DATABASE(VPC) Server Running State
NOOP
CLOUD DATABASE(VPC) Server Null OP
SVR.VRDS.STAND.C004.M001.NET.SSD.B050.G002
KR
16**
55**
cachec-****.vpc-cdb.ntruss.com
4
1610612736
2147483648
2022-02-21T15:11:52+0900
2022-02-21T14:58:44+0900
5461-10922
2192***
dsaj***-003-001-rm3
M
Master
running
RUN
CLOUD DATABASE(VPC) Server Running State
NOOP
CLOUD DATABASE(VPC) Server Null OP
SVR.VRDS.STAND.C004.M001.NET.SSD.B050.G002
KR
16**
55**
cachec-****.vpc-cdb.ntruss.com
4
1610612736
2147483648
2022-02-21T15:11:52+0900
2022-02-21T14:58:44+0900
10923-16383
```
## rebootCloudRedisServerInstance API
This section describes the request and response formats for the rebootCloudRedisServerInstance API.
### Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
| --- | --- |
| GET \| POST | /vredis/v2/rebootCloudRedisServerInstance |
Note
This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.
#### Request headers
For information about the headers common to all Cloud DB for Cache APIs, see [Cloud DB for Cache request headers](/docs/en/database-vcache#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94).
#### Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `regionCode` | String | Optional | Region code of the Cloud DB for Cache server instance to restart - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region of the `getRegionList` query result (default). |
| `cloudRedisServerInstanceNo` | String | Required | Cloud DB for Cache server instance number - Restarts can cause data loss, and for standalone servers without the high availability feature enabled, all data is deleted. - On Redis Cluster products with high availability (HA) enabled, restarting the master occurs after failover, so the role changes after the restart. - See [getCloudCacheInstanceList](/docs/en/database-vcache-getcloudcacheinstancelist). |
| `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` |
#### Request example
The request example is as follows:
```
curl --location --request GET 'https://ncloud.apigw.ntruss.com/vredis/v2/rebootCloudRedisServerInstance
?regionCode=KR
&cloudRedisServerInstanceNo=****613' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
```
### Response
This section describes the response format.
#### Response body
See [CloudRedisInstanceList](/docs/en/common-vapidatatype-cloudredisinstancelist) for the response body.
#### Response status codes
For information about the HTTP status codes common to all Cloud DB for Cache (VPC) APIs, see [Cloud DB for Cache (VPC) response status codes](/docs/en/database-vcache#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C).
#### Response example
The response example is as follows:
- If `responseFormatType=json`
```
{
"rebootCloudRedisServerInstanceResponse": {
"totalRows": 1,
"cloudRedisInstanceList": [
{
"cloudRedisInstanceNo": "****511",
"cloudRedisServiceName": "test-****",
"cloudRedisInstanceStatusName": "shuttingDown",
"cloudRedisInstanceStatus": {
"code": "CREAT",
"codeName": "CLOUD DATABASE(VPC) Created State"
},
"cloudRedisInstanceOperation": {
"code": "NULL",
"codeName": "CLOUD DATABASE(VPC) Null OP"
},
"cloudRedisImageProductCode": "SW.VDBAS.VRDS.LNX64.CNTOS.0708.REDIS.7015.B050",
"engineVersion": "REDIS 7.0.15",
"licence": {
"code": "BSD",
"codeName": "Berkeley Software Distribution"
},
"cloudRedisPort": 6379,
"isHa": true,
"isBackup": true,
"backupTime": "00:15",
"backupFileRetentionPeriod": 7,
"backupSchedule": "AUTO",
"cloudRedisServerPrefix": "test-****",
"generationCode": "G2",
"role": {
"code": "CLUSTER",
"codeName": "CLOUD REDIS(VPC) Cluster Role"
},
"createDate": "2024-07-01T16:59:21+0900",
"accessControlGroupNoList": [
"**50"
],
"masterNodeCount": 3,
"slaveNodeCount": 3,
"configGroupNo": "***9",
"configGroupName": "test-***-config",
"cloudRedisServerInstanceList": [
{
"cloudRedisServerInstanceNo": "****613",
"cloudRedisServerName": "test-****-001-001-ehs",
"cloudRedisServerRole": {
"code": "M",
"codeName": "Master"
},
"cloudRedisServerInstanceStatusName": "running",
"cloudRedisServerInstanceStatus": {
"code": "RUN",
"codeName": "CLOUD DATABASE(VPC) Server Running State"
},
"cloudRedisServerInstanceOperation": {
"code": "NOOP",
"codeName": "CLOUD DATABASE(VPC) Server Null OP"
},
"cloudRedisProductCode": "SVR.VRDS.STAND.C004.M001.NET.SSD.B050.G002",
"regionCode": "KR",
"vpcNo": "****83",
"subnetNo": "****91",
"privateDomain": "redisc-*****.vpc-cdb.ntruss.com",
"cpuCount": 4,
"memorySize": 1610612736,
"osMemorySize": 2147483648,
"uptime": "2024-07-01T17:03:43+0900",
"createDate": "2024-07-01T16:59:21+0900",
"slotName": "0-5460"
},
{
"cloudRedisServerInstanceNo": "****616",
"cloudRedisServerName": "test-****-002-001-eht",
"cloudRedisServerRole": {
"code": "M",
"codeName": "Master"
},
"cloudRedisServerInstanceStatusName": "running",
"cloudRedisServerInstanceStatus": {
"code": "RUN",
"codeName": "CLOUD DATABASE(VPC) Server Running State"
},
"cloudRedisServerInstanceOperation": {
"code": "NOOP",
"codeName": "CLOUD DATABASE(VPC) Server Null OP"
},
"cloudRedisProductCode": "SVR.VRDS.STAND.C004.M001.NET.SSD.B050.G002",
"regionCode": "KR",
"vpcNo": "****83",
"subnetNo": "****91",
"privateDomain": "redisc-*****.vpc-cdb.ntruss.com",
"cpuCount": 4,
"memorySize": 1610612736,
"osMemorySize": 2147483648,
"uptime": "2024-07-01T17:04:10+0900",
"createDate": "2024-07-01T16:59:21+0900",
"slotName": "5461-10922"
},
{
"cloudRedisServerInstanceNo": "****619",
"cloudRedisServerName": "test-****-003-001-ehu",
"cloudRedisServerRole": {
"code": "M",
"codeName": "Master"
},
"cloudRedisServerInstanceStatusName": "running",
"cloudRedisServerInstanceStatus": {
"code": "RUN",
"codeName": "CLOUD DATABASE(VPC) Server Running State"
},
"cloudRedisServerInstanceOperation": {
"code": "NOOP",
"codeName": "CLOUD DATABASE(VPC) Server Null OP"
},
"cloudRedisProductCode": "SVR.VRDS.STAND.C004.M001.NET.SSD.B050.G002",
"regionCode": "KR",
"vpcNo": "****83",
"subnetNo": "****91",
"privateDomain": "redisc-*****.vpc-cdb.ntruss.com",
"cpuCount": 4,
"memorySize": 1610612736,
"osMemorySize": 2147483648,
"uptime": "2024-07-01T17:04:06+0900",
"createDate": "2024-07-01T16:59:21+0900",
"slotName": "10923-16383"
},
{
"cloudRedisServerInstanceNo": "****622",
"cloudRedisServerName": "test-****-001-002-ehv",
"cloudRedisServerRole": {
"code": "S",
"codeName": "Slave"
},
"cloudRedisServerInstanceStatusName": "shuttingDown",
"cloudRedisServerInstanceStatus": {
"code": "RUN",
"codeName": "CLOUD DATABASE(VPC) Server Running State"
},
"cloudRedisServerInstanceOperation": {
"code": "STOP",
"codeName": "CLOUD DATABASE(VPC) Server Stop OP"
},
"cloudRedisProductCode": "SVR.VRDS.STAND.C004.M001.NET.SSD.B050.G002",
"regionCode": "KR",
"vpcNo": "****83",
"subnetNo": "****91",
"privateDomain": "redisc-*****.vpc-cdb.ntruss.com",
"cpuCount": 4,
"memorySize": 1610612736,
"osMemorySize": 2147483648,
"uptime": "2024-07-02T10:24:34+0900",
"createDate": "2024-07-01T16:59:21+0900",
"slotName": "0-5460"
},
{
"cloudRedisServerInstanceNo": "****625",
"cloudRedisServerName": "test-****-002-002-ehw",
"cloudRedisServerRole": {
"code": "S",
"codeName": "Slave"
},
"cloudRedisServerInstanceStatusName": "running",
"cloudRedisServerInstanceStatus": {
"code": "RUN",
"codeName": "CLOUD DATABASE(VPC) Server Running State"
},
"cloudRedisServerInstanceOperation": {
"code": "NOOP",
"codeName": "CLOUD DATABASE(VPC) Server Null OP"
},
"cloudRedisProductCode": "SVR.VRDS.STAND.C004.M001.NET.SSD.B050.G002",
"regionCode": "KR",
"vpcNo": "****83",
"subnetNo": "****91",
"privateDomain": "redisc-*****.vpc-cdb.ntruss.com",
"cpuCount": 4,
"memorySize": 1610612736,
"osMemorySize": 2147483648,
"uptime": "2024-07-01T17:03:42+0900",
"createDate": "2024-07-01T16:59:21+0900",
"slotName": "5461-10922"
},
{
"cloudRedisServerInstanceNo": "****628",
"cloudRedisServerName": "test-****-003-002-ehx",
"cloudRedisServerRole": {
"code": "S",
"codeName": "Slave"
},
"cloudRedisServerInstanceStatusName": "running",
"cloudRedisServerInstanceStatus": {
"code": "RUN",
"codeName": "CLOUD DATABASE(VPC) Server Running State"
},
"cloudRedisServerInstanceOperation": {
"code": "NOOP",
"codeName": "CLOUD DATABASE(VPC) Server Null OP"
},
"cloudRedisProductCode": "SVR.VRDS.STAND.C004.M001.NET.SSD.B050.G002",
"regionCode": "KR",
"vpcNo": "****83",
"subnetNo": "****91",
"privateDomain": "redisc-*****.vpc-cdb.ntruss.com",
"cpuCount": 4,
"memorySize": 1610612736,
"osMemorySize": 2147483648,
"uptime": "2024-07-01T17:03:47+0900",
"createDate": "2024-07-01T16:59:21+0900",
"slotName": "10923-16383"
}
]
}
],
"requestId": "6ca6bd39-****-****-****-39e0060a5055",
"returnCode": "0",
"returnMessage": "success"
}
}
```
- If `responseFormatType=xml` (default)
```
6ca6bd39-****-****-****-39e0060a5055
0
success
1
****511
test-****
shuttingDown
CREAT
CLOUD DATABASE(VPC) Created State
NULL
CLOUD DATABASE(VPC) Null OP
SW.VDBAS.VRDS.LNX64.CNTOS.0708.REDIS.7015.B050
REDIS 7.0.15
BSD
Berkeley Software Distribution
6379
true
true
00:15
7
AUTO
test-****
G2
CLUSTER
CLOUD REDIS(VPC) Cluster Role
2024-07-01T16:59:21+0900
**50
3
3
***9
test-***-config
****613
test-****-001-001-ehs
M
Master
shuttingDown
RUN
CLOUD DATABASE(VPC) Server Running State
STOP
CLOUD DATABASE(VPC) Server Stop OP
SVR.VRDS.STAND.C004.M001.NET.SSD.B050.G002
KR
****83
****92
redisc-*****.vpc-cdb.ntruss.com
4
1610612736
2147483648
2024-07-01T17:03:43+0900
2024-07-01T16:59:21+0900
0-5460
****616
test-****-002-001-eht
M
Master
running
RUN
CLOUD DATABASE(VPC) Server Running State
NOOP
CLOUD DATABASE(VPC) Server Null OP
SVR.VRDS.STAND.C004.M001.NET.SSD.B050.G002
KR
****83
****92
redisc-*****.vpc-cdb.ntruss.com
4
1610612736
2147483648
2024-07-01T17:04:10+0900
2024-07-01T16:59:21+0900
5461-10922
****619
test-****-003-001-ehu
M
Master
running
RUN
CLOUD DATABASE(VPC) Server Running State
NOOP
CLOUD DATABASE(VPC) Server Null OP
SVR.VRDS.STAND.C004.M001.NET.SSD.B050.G002
KR
****83
****92
redisc-*****.vpc-cdb.ntruss.com
4
1610612736
2147483648
2024-07-01T17:04:06+0900
2024-07-01T16:59:21+0900
10923-16383
****622
test-****-001-002-ehv
S
Slave
running
RUN
CLOUD DATABASE(VPC) Server Running State
NOOP
CLOUD DATABASE(VPC) Server Null OP
SVR.VRDS.STAND.C004.M001.NET.SSD.B050.G002
KR
****83
****92
redisc-*****.vpc-cdb.ntruss.com
4
1610612736
2147483648
2024-07-01T17:03:43+0900
2024-07-01T16:59:21+0900
0-5460
****625
test-****-002-002-ehw
S
Slave
running
RUN
CLOUD DATABASE(VPC) Server Running State
NOOP
CLOUD DATABASE(VPC) Server Null OP
SVR.VRDS.STAND.C004.M001.NET.SSD.B050.G002
KR
****83
****92
redisc-*****.vpc-cdb.ntruss.com
4
1610612736
2147483648
2024-07-01T17:03:42+0900
2024-07-01T16:59:21+0900
5461-10922
****628
test-****-003-002-ehx
S
Slave
running
RUN
CLOUD DATABASE(VPC) Server Running State
NOOP
CLOUD DATABASE(VPC) Server Null OP
SVR.VRDS.STAND.C004.M001.NET.SSD.B050.G002
KR
****83
****92
redisc-*****.vpc-cdb.ntruss.com
4
1610612736
2147483648
2024-07-01T17:03:47+0900
2024-07-01T16:59:21+0900
10923-16383
```